## org.eclipse.emf.ecore
Interface EStructuralFeature.Internal.SettingDelegate

All Known Implementing Classes:
  EStructuralFeatureImpl.InternalSettingDelegateFeatureMapDelegator, EStructuralFeatureImpl.InternalSettingDelegateMany, EStructuralFeatureImpl.InternalSettingDelegateSingle, EStructuralFeatureImpl.InternalSettingDelegateSingleContainer, EStructuralFeatureImpl.InternalSettingDelegateSingleContainerResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleData, EStructuralFeatureImpl.InternalSettingDelegateSingleDataDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataStatic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableStatic, EStructuralFeatureImpl.InternalSettingDelegateSingleEObject, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentUnsettableResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettableResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectResolvingWithInverseUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectUnsettable, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverse, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectWithInverseUnsettable

Enclosing interface:
  EStructuralFeature.Internal

    public static interface EStructuralFeature.Internal.SettingDelegate

An API for delegating reflective access to settings.

Method Summary
`java.lang.Object` `dynamicGet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, boolean resolve, boolean coreType)` Returns the value of the feature of this owner.
`NotificationChain` `dynamicInverseAdd(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.
`NotificationChain` `dynamicInverseRemove(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, InternalEObject otherEnd, NotificationChain notifications)` Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`EStructuralFeature.Setting` `dynamicSetting(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Returns a setting that can be used to access the owner's feature.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int dynamicFeatureID)` Unsets the value of the given feature of the owner.

Method Detail

### dynamicSetting

    EStructuralFeature.Setting dynamicSetting(InternalEObject owner,
                                              EStructuralFeature.Internal.DynamicValueHolder settings,
                                              int dynamicFeatureID)

  Returns a setting that can be used to access the owner's feature.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  Returns:
    a setting that can be used to access the owner's feature.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### dynamicGet

    java.lang.Object dynamicGet(InternalEObject owner,
                                EStructuralFeature.Internal.DynamicValueHolder settings,
                                int dynamicFeatureID,
                                boolean resolve,
                                boolean coreType)

  Returns the value of the feature of this owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `resolve` - whether to resolve.
    `coreType` - return the core EMF object if value is a non-EMF wrapper/view.
  Returns:
    the value of the feature of this owner.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### dynamicSet

    void dynamicSet(InternalEObject owner,
                    EStructuralFeature.Internal.DynamicValueHolder settings,
                    int dynamicFeatureID,
                    java.lang.Object newValue)

  Sets the value of the given feature of the owner to the new value.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicIsSet

    boolean dynamicIsSet(InternalEObject owner,
                         EStructuralFeature.Internal.DynamicValueHolder settings,
                         int dynamicFeatureID)

  Returns whether the feature of the owner is considered to be set.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### dynamicUnset

    void dynamicUnset(InternalEObject owner,
                      EStructuralFeature.Internal.DynamicValueHolder settings,
                      int dynamicFeatureID)

  Unsets the value of the given feature of the owner.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicInverseAdd

    NotificationChain dynamicInverseAdd(InternalEObject owner,
                                        EStructuralFeature.Internal.DynamicValueHolder settings,
                                        int dynamicFeatureID,
                                        InternalEObject otherEnd,
                                        NotificationChain notifications)

  Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse add.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### dynamicInverseRemove

    NotificationChain dynamicInverseRemove(InternalEObject owner,
                                           EStructuralFeature.Internal.DynamicValueHolder settings,
                                           int dynamicFeatureID,
                                           InternalEObject otherEnd,
                                           NotificationChain notifications)

  Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.

  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `dynamicFeatureID` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse remove.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.